This is a Laravel 5 package that provides rakesh management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `akesh/rakesh`.

    "akesh/rakesh": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Akesh\Rakesh\Providers\RakeshServiceProvider::class,

```

And also add it to alias

```php
'Rakesh'  => Akesh\Rakesh\Facades\Rakesh::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Akesh\Rakesh\Providers\RakeshServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Akesh\Rakesh\Providers\RakeshServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Akesh\Rakesh\Providers\RakeshServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Akesh\Rakesh\Providers\RakeshServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Akesh\Rakesh\Providers\RakeshServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Akesh\Rakesh\Providers\RakeshServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


